/****************************************************************************************************
*                                                                                                   *
*               AD74111 - SPORT1 and SPORT 3 INTERRUPT SERVICE ROUTINE				                *
*                                                                                                   *
*    Receives data from the ADC via SPORT1 and transmits back to the DAC via SPORT3 				*
*                                                                                                   *
****************************************************************************************************/

/* ADSP-21161 System Register bit definitions */
#include 	"def21161.h"
#define N 1024
	
.GLOBAL		Process_Audio_Samples;	
.Global		Sport3_int_routine;

.section /pm pm_code;

Process_Audio_Samples:

R0=DM(I0,M0);					// first value
LCNTR= N-1, DO (PC,1) UNTIL LCE;	// do the next instruction N-1 times
R0=DM(I0,M0);	 PM(I8,M8);		// read the data from the receive buffer a
							// write the data to the transmit buffer a
PM(I8,M8);					// last value

rti;

Process_Audio_Samples.end:
rti;


Sport3_int_routine:
nop;
nop;
nop;
Sport3_int_routine.end:
rti;

